/** @brief Gpd Commissioning
 *
 * This function is called by the Green Power Sink Plugin to notify the
 * application of a Green Power Device that has requested commissioning with
 * this sink. Return true to accept, false to reject.
 *
 * @param appInfo   Ver.: always
 */
bool emberAfPluginGreenPowerServerGpdCommissioningCallback(EmberGpApplicationInfo * appInfo)
{
  if ((appInfo->applInfoBitmap & EMBER_AF_GP_APPLICATION_INFORMATION_MANUFACTURE_ID_PRESENT)
      && EMBER_AF_MANUFACTURER_CODE != appInfo->manufacturerId) {
    return false;
  }
  return true;
}

/** @brief Gpd Commissioning
 *
 * This function is called by the Green Power Sink Plugin to notify the
 * application of a Green Power Security Processing failed for a incomming.
 * Return true to proceed with the process, false to drop the packet.
 *
 * @param appInfo   Ver.: always
 */
bool emberAfPluginGreenPowerServerGpdSecurityFailureCallback(EmberGpAddress gpdAddr)
{
  return true;
}

/** @brief Gpd Commissioning
 *
 * This function is called by the Green Power Sink Plugin to notify the
 * application of a Green Power Gp Notification of an incomming gpd command.
 * Return true to handle in application.
 *
 * @param appInfo   Ver.: always
 */
bool emberAfGreenPowerClusterGpNotificationForwardCallback(EmberGpAddress * addr,
                                                           uint8_t gpdCommandId,
                                                           uint8_t * gpdCommandPayload)
{
  return false;
}

/** @brief Gpd Commissioning
 *
 * This function is called by the Green Power Sink Plugin to notify the
 * application of a Green Power Gp Notification without translation(endpoint is 0xFC).
 *
 * @param appInfo   Ver.: always
 */
void emberAfGreenPowerClusterPassFrameWithoutTranslationCallback(EmberGpAddress * addr,
                                                                 uint8_t gpdCommandId,
                                                                 uint8_t * gpdCommandPayload)
{
}
